MP4(3)

NAME

MP4GetTrackMaxSampleSize - Get the maximum sample size of a track

SYNTAX

#include <mp4.h>

u_int32_t MP4GetTrackMaxSampleSize(
    MP4FileHandle hFile,
    MP4TrackId trackId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

RETURN VALUES

Upon success, the maximum sample size in bytes. Upon an error, 0.

DESCRIPTION

MP4GetTrackMaxSampleSize returns the maximum size in bytes of all the samples in the specified track.

SEE ALSO

MP4(3) MP4GetSampleSize(3)